Draft: ShapeString

From FreeCAD Documentation
Revision as of 11:13, 25 April 2019 by Renatorivo (talk | contribs) (Created page with "Il testo, le dimensioni, il percorso e il carattere possono essere modificati dopo la creazione, modificando le proprietà della forma.")
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Point.svg Punto Pagina precedente:
Pagina successiva: Lega facce Draft Facebinder.svg Arrow-right.svg

Draft ShapeString.svg ShapeString

Posizione nel menu
Draft → Forma da testo...
Ambiente
Draft, Arch
Avvio veloce
S S
Introdotto nella versione
0.14
Vedere anche
Testo Draft, Part Estrusione


Descrizione

Lo strumento ShapeString inserisce una forma composta che riproduce una stringa di testo in un dato punto del documento corrente. Si possono definire gli attributi del testo quali altezza, tipo di carattere, ecc.. La forma risultante può essere utilizzata con lo strumento Estrusione di Part per creare lettere 3D.

Per inserire un elemento di testo più semplice senza una forma chiusa, utilizzare Testo. Per creare un'etichetta di testo con una linea guida e una freccia usare Etichetta.

Draft ShapeString Example400.png

Per posizionare una Shapestring basta un singolo punto


Utilizzo

  1. Premere il pulsante Draft ShapeString16.png Forma da testo... , o premere i tasti S e poi S.
  2. Selezionare un punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Immettere il testo desiderato e premere Invio.
  4. Immettere la dimensione desiderata e premere Invio.
  5. Immettere il percorso desiderato e premere Invio.
  6. Premere Invio per accettare il file di font visualizzato, o premere ... per selezionare un file di font.

SSFontSelect.png

Il testo, le dimensioni, il percorso e il carattere possono essere modificati dopo la creazione, modificando le proprietà della forma.

Set the default font file in Draft Preferences, in the Texts and dimensions tab. Supported fonts include TrueType (.ttf), OpenType (.otf), and Type 1 (.pfb).

Limitazioni

  • Questo strumento non è disponibile nelle versioni precedenti alla 0.14
  • Sono supportati i caratteri di tipo TrueType(*.ttf), OpenType(*.otf) e Type1(*.pfb).
  • Altezze di testo molto piccole possono comportare la deformazione dei glifi dei caratteri a causa della perdita dei dettagli nella scalatura.
  • La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
  • Per creare un testo curvo è possibile utilizzare la macro FCCircularTextButtom.pngTesto circolare

Opzioni

  • Per inserire le coordinate manualmente, basta inserire i numeri, quindi premere ENTER tra ognuno dei componenti X, Y e Z.
  • Premere ESC per annullare l'operazione.
  • Nelle Preferenze di Draft è possibile impostare un file di caratteri predefinito.

Proprietà

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

DraftShapeStringProperty it.png

2D Base

  • DatiLabel: nome
  • DatiPlacement: posizionamento del punto base della forma costruita

Draft

  • DatiFont File: Il tipo di carattere utilizzato per disegnare la stringa di testo
  • DatiSize: L'altezza dei caratteri in unità FC
  • DatiString: Il contenuto della stringa di testo
  • DatiTracking: La spaziatura tra i caratteri in unità FC

Script

Vedere anche: API Draft e Nozioni di base sugli script di FreeCAD.

Lo strumento ShapeString può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Trasforma una Stringa di testo in una ShapeString utilizzando un font specificato.
  • FontFile è obbligatorio e deve essere il percorso completo di un file di font supportato
  • Size è l'altezza del testo risultante in millimetri
  • Tracking è la spaziatura aggiuntiva tra i caratteri in millimetri

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Esempio:

import FreeCAD, Draft

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)

Tutorial

Arrow-left.svg Draft Point.svg Punto Pagina precedente:
Pagina successiva: Lega facce Draft Facebinder.svg Arrow-right.svg